#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# filter plugin provides
%global __provides_exclude_from ^(%{_qt5_plugindir}/.*\\.so)$

%define rel 1

Name:           plymouth-kcm
Summary:        Plymouth configuration module for systemsettings
Version: 5.12.2
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://cgit.kde.org/%{name}.git
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

Patch1:         0001-fedora.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(ply-boot-client)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5NewStuffCore)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5KCMUtils)

Requires:       plymouth

%description
This is a System Settings configuration module for configuring the
plymouth splash screen.

%files -f kcm_plymouth.lang
%license COPYING
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmplymouth.conf
%{_kf5_sysconfdir}/xdg/plymouth.knsrc
%{_kf5_bindir}/kplymouththemeinstaller
%{_qt5_plugindir}/kcms/kcm_plymouth.so
%{_libexecdir}/kauth/plymouthhelper
%{_kf5_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmplymouth.service
%{_kf5_datadir}/kpackage/kcms/kcm_plymouth/
%{_kf5_services}/kcm_plymouth.desktop
%{_kf5_datadir}/polkit-1/actions/org.kde.kcontrol.kcmplymouth.policy

#--------------------------------------------------------------------

%prep
%setup -q

%patch1 -p1 -b .fedora

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kcm_plymouth


%changelog
* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga6
+ Revision: 1204510
- New version 5.12.2
- New version 5.12.1
- Add package in mga6

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194736
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185707
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174137
- New version 5.11.2

* Fri Oct 20 2017 daviddavid <daviddavid> 5.11.1-1.mga7
+ Revision: 1172844
- New version 5.11.1
- rebase fedora patch

  + neoclust <neoclust>
    - New version 5.10.95
    - New version 5.10.5

* Fri Jul 28 2017 daviddavid <daviddavid> 5.10.4-1.mga7
+ Revision: 1132024
- initial package plymouth-kcm

